# Generated from real_page-2.3.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name real_page

Name: rubygem-%{gem_name}
Version: 2.3.6
Release: 1%{?dist}
Summary: A ruby client for RealPage Exchange
License: MIT
URL: https://github.com/apartmentlist/real_page
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry-byebug) >= 3.3
# BuildRequires: rubygem(pry-byebug) < 4
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(webmock) >= 1.21
# BuildRequires: rubygem(webmock) < 2
BuildArch: noarch

%description
A ruby client for RealPage Exchange.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.ci
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rakeTasks
%{gem_instdir}/CODEOWNERS
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.txt
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/real_page.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 2.3.6-1
- Initial package
